# azure.mgmt.search package

## Submodules

- azure.mgmt.search.models module
- azure.mgmt.search.operations module

## Module contents

class `azure.mgmt.search.``SearchManagementClient`(credentials, subscription_id, base_url=None)

  Bases: `msrest.service_client.SDKClient`

  Client that can be used to manage Azure Search services and API keys.

  Variables:

  - config (SearchManagementClientConfiguration) – Configuration for client.
  - operations (azure.mgmt.search.operations.Operations) – Operations operations
  - admin_keys (azure.mgmt.search.operations.AdminKeysOperations) – AdminKeys operations
  - query_keys (azure.mgmt.search.operations.QueryKeysOperations) – QueryKeys operations
  - services (azure.mgmt.search.operations.ServicesOperations) – Services operations

  Parameters:

  - credentials (`A msrestazure Credentials object`) – Credentials needed for the client to connect to Azure.
  - subscription_id (str) – The unique identifier for a Microsoft Azure subscription. You can obtain this value from the Azure Resource Manager API or the portal.
  - base_url (str) – Service URL